## kirigami-addons 1.10.0

=== CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

cmake_minimum_required(VERSION 3.20)

project(kirigami-addons VERSION 1.10.0)

include(FeatureSummary)

set(AUTOMOC_MOC_OPTIONS -Muri=org.kde.kirigami)

set(QT_REQUIRED_VERSION "6.7.0")
set(KF_MIN_VERSION "6.16.0")

find_package(ECM ${KF_MIN_VERSION} NO_MODULE)
set_package_properties(ECM PROPERTIES TYPE REQUIRED DESCRIPTION "Extra CMake Modules." URL "https://projects.kde.org/projects/kdesupport/extra-cmake-modules")

# where to look first for cmake modules, before ${CMAKE_ROOT}/Modules/ is checked
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)
include(KDEPackageAppTemplates)

include(ECMGenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(CMakePackageConfigHelpers)
include(ECMQtDeclareLoggingCategory)
include(ECMAddQch)
include(ECMQmlModule)
include(KDEClangFormat)
include(ECMGenerateQDoc)

find_package(Qt6 ${QT_REQUIRED_VERSION} REQUIRED NO_MODULE COMPONENTS Core Quick QuickControls2)

find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Kirigami I18n Config CoreAddons GuiAddons ColorScheme)
if (BUILD_TESTING)
    find_package(Qt6QuickTest ${QT_REQUIRED_VERSION} CONFIG QUIET)
endif()
if (ANDROID)
    find_package(Gradle REQUIRED)
else()
    find_package(KF6 ${KF_MIN_VERSION} REQUIRED COMPONENTS Crash IconThemes)
endif()

if(NOT WIN32 AND NOT APPLE AND NOT ANDROID AND NOT HAIKU)
    find_package(KF6GlobalAccel ${KF_MIN_VERSION} REQUIRED)
    set(HAVE_KGLOBALACCEL TRUE)
else()
    set(HAVE_KGLOBALACCEL FALSE)
endif()

set(CMAKECONFIG_INSTALL_DIR "${KDE_INSTALL_CMAKEPACKAGEDIR}/KF6KirigamiAddons")

configure_package_config_file(
    "${CMAKE_CURRENT_SOURCE_DIR}/KFKirigamiAddonsConfig.cmake.in"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfig.cmake"
    INSTALL_DESTINATION  ${CMAKECONFIG_INSTALL_DIR}
    PATH_VARS CMAKE_INSTALL_PREFIX
)
ecm_setup_version(${PROJECT_VERSION}
    VARIABLE_PREFIX KIRIGAMIADDONS
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigamiaddons_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfigVersion.cmake"
)

add_subdirectory(src)

if (BUILD_TESTING AND BUILD_SHARED_LIBS)
    add_subdirectory(autotests)
endif()

option(BUILD_EXAMPLES OFF)

if (BUILD_EXAMPLES)
    add_subdirectory(examples)
endif()

if (NOT ANDROID)
    add_subdirectory(templates)
endif()

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfig.cmake"
    "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAddonsConfigVersion.cmake"
    "${CMAKE_CURRENT_SOURCE_DIR}/KirigamiAddonsMacros.cmake"
    DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
    COMPONENT Devel
)

ki18n_install(po)

feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

install(EXPORT KirigamiAddonsTargets DESTINATION "${CMAKECONFIG_INSTALL_DIR}"
        FILE KirigamiAddonsTargets.cmake COMPONENT Devel)

=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2019 David Edmundson <kde@davidedmundson.co.uk>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(app)
add_subdirectory(components)
add_subdirectory(dateandtime)
add_subdirectory(tableview)
add_subdirectory(treeview)
add_subdirectory(sounds)
add_subdirectory(formcard)
add_subdirectory(delegates)
add_subdirectory(settings)
add_subdirectory(statefulapplication)

=== src/app/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2025 Aleix Pol Gonzalez <aleixpol@kde.org>
# SPDX-License-Identifier: BSD-2-Clause

add_library(KirigamiApp SHARED)

if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
    ecm_generate_qdoc(KirigamiApp kirigamiapp.qdocconf)
endif()

target_compile_definitions(KirigamiApp PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_app6\")

target_sources(KirigamiApp PRIVATE kirigamiapp.cpp)

target_link_libraries(KirigamiApp PRIVATE
    Qt6::QuickControls2
    Qt6::Qml
    KF6::CoreAddons
    KF6::I18n
    KF6::ColorScheme
)
if(NOT ANDROID)
    target_link_libraries(KirigamiApp PRIVATE KF6::Crash KF6::IconThemes)
endif()

target_include_directories(KirigamiApp
    PUBLIC
    "$<BUILD_INTERFACE:${CMAKE_CURRENT_BINARY_DIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}>"
    "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KirigamiAddons/App>"
)

ecm_generate_export_header(KirigamiApp
    VERSION ${PROJECT_VERSION}
    BASE_NAME KirigamiApp
    USE_VERSION_HEADER
    DEPRECATION_VERSIONS
)


ecm_setup_version(PROJECT
    VARIABLE_PREFIX KIRIGAMIAPP
    VERSION_HEADER "${CMAKE_CURRENT_BINARY_DIR}/kirigamiapp_version.h"
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KF6KirigamiAppConfigVersion.cmake"
    SOVERSION 6
)

ecm_generate_headers(KirigamiApp_CamelCase_HEADERS
    HEADER_NAMES
        KirigamiApp
    REQUIRED_HEADERS KirigamiApp_HEADERS
)

set_target_properties(KirigamiApp PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "KirigamiApp"
)

install(TARGETS KirigamiApp EXPORT KirigamiAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    ${KirigamiApp_HEADERS}
    ${KirigamiApp_CamelCase_HEADERS}
    ${CMAKE_CURRENT_BINARY_DIR}/kirigamiapp_export.h
    ${CMAKE_CURRENT_BINARY_DIR}/kirigamiapp_version.h
    DESTINATION ${KDE_INSTALL_INCLUDEDIR}/KirigamiAddons/App
    COMPONENT Devel
)

=== src/delegates/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(delegatesplugin
    URI "org.kde.kirigamiaddons.delegates"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.kirigami
        org.kde.kirigamiaddons.treeview
        org.kde.kitemmodels
)

ecm_generate_qdoc(delegatesplugin kirigamiaddonsdelegates.qdocconf)

ecm_target_qml_sources(delegatesplugin SOURCES
    RoundedItemDelegate.qml
    RoundedTreeDelegate.qml
    CheckDelegate.qml
    RadioDelegate.qml
    IndicatorItemDelegate.qml
    DefaultContentItem.qml
    SubtitleContentItem.qml
)

target_link_libraries(delegatesplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
)

ecm_finalize_qml_module(delegatesplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/formcard/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2022 Devin Lin <devin@kde.org>
# SPDX-License-Identifier: GPL-2.0-or-later

# FormCard module
ecm_add_qml_module(formcardplugin
    URI "org.kde.kirigamiaddons.formcard"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.coreaddons
        org.kde.kirigami
        org.kde.kirigamiaddons.components
        org.kde.kirigamiaddons.dateandtime
        org.kde.kirigamiaddons.delegates
)

ecm_generate_qdoc(formcardplugin kirigamiaddonsformcard.qdocconf)

ecm_target_qml_sources(formcardplugin SOURCES
    AboutKDE.qml
    AboutKDEPage.qml
    AboutPage.qml
    AbstractFormDelegate.qml
    FormArrow.qml
    FormButtonDelegate.qml
    FormCard.qml
    FormCardDialog.qml
    FormCardPage.qml
    FormCheckDelegate.qml
    FormComboBoxDelegate.qml
    FormDateTimeDelegate.qml
    FormDelegateBackground.qml
    FormDelegateSeparator.qml
    FormFileDelegate.qml
    FormFolderDelegate.qml
    FormGridContainer.qml
    FormHeader.qml
    FormLinkDelegate.qml
    FormPasswordFieldDelegate.qml
    FormPlaceholderMessageDelegate.qml
    FormRadioDelegate.qml
    FormRadioSelectorDelegate.qml
    FormSectionText.qml
    FormSpinBoxDelegate.qml
    FormSwitchDelegate.qml
    FormTextAreaDelegate.qml
    FormTextDelegate.qml
    FormTextFieldDelegate.qml
)

if(ANDROID)
    ecm_target_qml_sources(formcardplugin SOURCES
        android/FormColorDelegate.qml
        android/FormIconDelegate.qml
    )
else()
    ecm_target_qml_sources(formcardplugin SOURCES
        FormColorDelegate.qml
        FormIconDelegate.qml
    )
endif()

target_sources(formcardplugin PRIVATE
    aboutcomponent.cpp
    aboutcomponent_p.h
    filehelper.cpp
    filehelper_p.h
    passwordhealth.cpp
    passwordhealth.h
    zxcvbn/zxcvbn.c
    zxcvbn/zxcvbn.h
)
target_compile_definitions(formcardplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami-addons6\")

set_source_files_properties(private/FormCardUnits.qml PROPERTIES QT_QML_SINGLETON_TYPE TRUE)

ecm_target_qml_sources(formcardplugin PATH private SOURCES
    private/ContentItemLoader.qml
    private/SpinButton.qml
    private/FormCardUnits.qml
)

target_link_libraries(formcardplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    KF6::I18n
    KF6::I18n
    KF6::CoreAddons
)

ecm_finalize_qml_module(formcardplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: BSD-2-Clause

add_subdirectory(private)

ecm_add_qml_module(settingsplugin
    URI "org.kde.kirigamiaddons.settings"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES "org.kde.kirigamiaddons.settings.private"
)

ecm_generate_qdoc(settingsplugin kirigamiaddonssettings.qdocconf)

ecm_target_qml_sources(settingsplugin SOURCES
    SettingAction.qml # deprecated
    CategorizedSettings.qml # deprecated

    ConfigurationView.qml
    ConfigurationModule.qml
    SpellcheckingConfigurationModule.qml
    ShortcutsConfigurationModule.qml
)

target_link_libraries(settingsplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
)

ecm_finalize_qml_module(settingsplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/sounds/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2021 Han Young <hanyoung@protonmail.com>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(soundsplugin
    URI "org.kde.kirigamiaddons.sounds"
    VERSION 0.1
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.kirigami
        org.kde.kirigamiaddons.delegates
)

ecm_generate_qdoc(soundsplugin kirigamiaddonssounds.qdocconf)

target_compile_definitions(soundsplugin PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_sounds6\")

target_sources(soundsplugin PRIVATE soundspickermodel.cpp)

ecm_target_qml_sources(soundsplugin SOURCES
    SoundsPicker.qml
)

target_link_libraries(soundsplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    KF6::I18n
)

ecm_finalize_qml_module(soundsplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/statefulapplication/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2024 Carl Schwan <carl@carlschwan.eu>
# SPDX-License-Identifier: LGPL-2.0-or-later

# StatefulApp module

add_library(KirigamiAddonsStatefulApp
    abstractkirigamiapplication.cpp
    abstractkirigamiapplication.h
    kirigamiactioncollection.cpp
    kirigamiactioncollection.h
    actionsmodel.cpp
    actionsmodel_p.h
    commandbarfiltermodel.cpp
    commandbarfiltermodel_p.h
    shortcutsmodel.cpp
    shortcutsmodel_p.h
)

ecm_generate_qdoc(KirigamiAddonsStatefulApp kirigamiaddonsstatefulapplication.qdocconf)

set_target_properties(KirigamiAddonsStatefulApp PROPERTIES
    VERSION     ${PROJECT_VERSION}
    SOVERSION   6
    EXPORT_NAME "KirigamiAddonsStatefulApp"
)

ecm_setup_version(PROJECT
    VARIABLE_PREFIX KIRIGAMIADDONSBASEAPP
    PACKAGE_VERSION_FILE "${CMAKE_CURRENT_BINARY_DIR}/KirigamiAddonsStatefulAppConfigVersion.cmake"
    SOVERSION 6
)

ecm_generate_export_header(KirigamiAddonsStatefulApp
    VERSION ${PROJECT_VERSION}
    BASE_NAME KirigamiAddonsStatefulApp
    DEPRECATION_VERSIONS
)

ecm_qt_declare_logging_category(KirigamiAddonsStatefulApp
    HEADER debug.h
    IDENTIFIER BASEAPP_LOG
    CATEGORY_NAME org.kde.kirigamiaddons.statefulapp
    DESCRIPTION "Base App"
    EXPORT KIRIGAMI_ADDONS
)

ecm_generate_headers(KirigamiAddonsStatefulApp_HEADERS
    HEADER_NAMES
        KirigamiActionCollection
        AbstractKirigamiApplication
    REQUIRED_HEADERS
        KirigamiAddonsStatefulApp_HEADERS
)

target_link_libraries(KirigamiAddonsStatefulApp
    PUBLIC
        Qt6::Core
        Qt6::Qml
        Qt6::Quick
        KF6::ConfigGui
    PRIVATE
        KF6::I18n
        KF6::CoreAddons
)

target_include_directories(KirigamiAddonsStatefulApp
    INTERFACE
        "$<INSTALL_INTERFACE:${KDE_INSTALL_INCLUDEDIR}/KirigamiAddonsStatefulApp>"
)

target_compile_definitions(KirigamiAddonsStatefulApp PRIVATE -DTRANSLATION_DOMAIN=\"kirigami-addons6\")

# Qml plugin

ecm_add_qml_module(KirigamiAddonsStatefulApp
    URI "org.kde.kirigamiaddons.statefulapp"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES QtQuick
    IMPORTS
        "org.kde.kirigamiaddons.statefulapp.private"
        "org.kde.config"
)

ecm_target_qml_sources(KirigamiAddonsStatefulApp SOURCES
    StatefulWindow.qml
)

ecm_finalize_qml_module(KirigamiAddonsStatefulApp DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

# Install files

install(TARGETS KirigamiAddonsStatefulApp EXPORT KirigamiAddonsTargets ${KF_INSTALL_TARGETS_DEFAULT_ARGS})

install(FILES
    "${CMAKE_CURRENT_BINARY_DIR}/kirigamiaddonsstatefulapp_export.h"
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KirigamiAddonsStatefulApp"
    COMPONENT Devel
)

install(FILES
    ${KirigamiAddonsStatefulApp_HEADERS}
    DESTINATION "${KDE_INSTALL_INCLUDEDIR}/KirigamiAddonsStatefulApp"
    COMPONENT Devel
)

add_subdirectory(private)
add_subdirectory(labs)

=== src/tableview/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2023 Evgeny Chesnokov <echesnokov@astralinux.ru>
# SPDX-License-Identifier: GPL-2.0-or-later

ecm_add_qml_module(tableviewplugin
    URI "org.kde.kirigamiaddons.tableview"
    VERSION 1.0
    GENERATE_PLUGIN_SOURCE
    DEPENDENCIES
        org.kde.kirigami
)

ecm_generate_qdoc(tableviewplugin kirigamiaddonstableview.qdocconf)

ecm_target_qml_sources(tableviewplugin SOURCES
    qml/ListTableView.qml
    qml/KTableView.qml
    qml/HeaderComponent.qml
)

ecm_target_qml_sources(tableviewplugin PATH private SOURCES
    private/AbstractHeaderComponent.qml
    private/HeaderDelegate.qml
    private/AbstractTable.qml
    private/ListCellDelegate.qml
    private/ListRowDelegate.qml
    private/TableCellDelegate.qml
)

target_link_libraries(tableviewplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    Qt6::QuickControls2
)

ecm_finalize_qml_module(tableviewplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== src/treeview/CMakeLists.txt ===
# SPDX-FileCopyrightText: 2020 Marco Martin <notmart@gmail.com>
# SPDX-License-Identifier: BSD-2-Clause

ecm_add_qml_module(treeviewplugin URI "org.kde.kirigamiaddons.treeview" VERSION 1.0 CLASS_NAME TreeViewPlugin)

ecm_generate_qdoc(treeviewplugin kirigamiaddonstreeview.qdocconf)

target_sources(treeviewplugin PRIVATE
    treeviewplugin.cpp
)

ecm_target_qml_sources(treeviewplugin SOURCES
    qml/TreeViewDecoration.qml
)

ecm_target_qml_sources(treeviewplugin
    PRIVATE PATH
    styles/org.kde.desktop
    SOURCES
    qml/styles/org.kde.desktop/TreeViewDecoration.qml
)

target_link_libraries(treeviewplugin PRIVATE
    Qt6::Quick
    Qt6::Qml
    Qt6::QuickControls2
)

ecm_finalize_qml_module(treeviewplugin DESTINATION ${KDE_INSTALL_QMLDIR} EXPORT KirigamiAddonsTargets)

=== templates/kirigamiaddons6/src/settings/CMakeLists.txt ===
# SPDX-FileCopyrightText: %{CURRENT_YEAR} %{AUTHOR} <%{EMAIL}>
# SPDX-License-Identifier: BSD-2-Clause

qt_add_library(%{APPNAMELC}_settings STATIC)
ecm_add_qml_module(%{APPNAMELC}_settings
    GENERATE_PLUGIN_SOURCE
    URI org.kde.%{APPNAMELC}.settings
    QML_FILES
        %{APPNAME}ConfigurationView.qml
        GeneralPage.qml
)

=== debian/changelog ===
kirigami-addons (1.10.0-0ubuntu1) resolute; urgency=medium

  * New upstream release (1.10.0)
  * Update build-deps and deps with the info from cmake.
  * New library package libkirigamiapp6.

 -- Rik Mills <rikmills@kde.org>  Mon, 10 Nov 2025 09:45:19 +0000

=== debian/control ===
Source: kirigami-addons
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Aurélien COUDERC <coucouf@debian.org>,
           Matthias Geiger <werdahias@debian.org>,
Build-Depends: debhelper-compat (= 13),
               dh-sequence-kf6,
               dh-sequence-qmldeps,
               cmake (>= 3.20~),
               extra-cmake-modules (>= 6.16.0~),
               libkf6colorscheme-dev (>= 6.16.0~),
               libkf6config-dev (>= 6.16.0~),
               libkf6coreaddons-dev (>= 6.16.0~),
               libkf6crash-dev (>= 6.16.0~),
               libkf6globalaccel-dev (>= 6.16.0~),
               libkf6guiaddons-dev (>= 6.16.0~),
               libkf6i18n-dev (>= 6.16.0~),
               libkf6iconthemes-dev (>= 6.16.0~),
               libkirigami-dev (>= 6.16.0~),
               libxkbcommon-dev,
               pkgconf,
               qml6-module-org-kde-config,
               qml6-module-org-kde-coreaddons,
               qml6-module-org-kde-desktop,
               qml6-module-org-kde-iconthemes,
               qml6-module-org-kde-kitemmodels,
               qml6-module-org-kde-sonnet,
               qml6-module-qtmultimedia,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-declarative-private-dev,
Standards-Version: 4.7.0
Homepage: https://invent.kde.org/libraries/kirigami-addons/
Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
Rules-Requires-Root: no

Package: kirigami-addons-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends},
Description: data files for kirigami-addons
 This package contains the data files shared by all the QML modules of
 kirigami-addons.

Package: kirigami-addons-dev
Architecture: any
Multi-Arch: same
Section: libdevel
Depends: libkirigamiapp6 (= ${binary:Version}),
         libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-datetime (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-delegates (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-formcard (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-labs-components (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-settings (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-sounds (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-statefulapp (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-tableview (= ${binary:Version}),
         qml6-module-org-kde-kirigamiaddons-treeview (= ${binary:Version}),
         qt6-base-dev (>= 6.7.0~),
         ${misc:Depends},
Description: development files for kirigami-addons
 This package contains the development files of kirigami-addons.

Package: libkirigamiaddonsstatefulapp6
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: statefulapp library
 This package contains the kirigami-addons statefulapp library.

Package: libkirigamiapp6
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: app library
 This package contains the kirigami-addons app library.

Package: qml6-module-org-kde-kirigamiaddons-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Recommends: qml6-module-org-kde-kirigamiaddons-formcard,
Description: components module for QML
 This package contains the treeview QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-datetime
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: datetime module for QML
 This package contains the datetime QML module.
 A runtime QML module providing date and time utilities.

Package: qml6-module-org-kde-kirigamiaddons-delegates
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: delegates module for QML
 This package contains the treeview QML module.
 A runtime QML module providing delegates utilities.

Package: qml6-module-org-kde-kirigamiaddons-formcard
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: formcard module for QML
 This package contains the treeview QML module.
 A runtime QML module providing formcard utilities.

Package: qml6-module-org-kde-kirigamiaddons-labs-components
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: labs/components module for QML
 This package contains the labs/components QML module.
 A runtime QML module providing components utilities.

Package: qml6-module-org-kde-kirigamiaddons-settings
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: settings module for QML
 This package contains the treeview QML module.
 A runtime QML module providing settings utilities.

Package: qml6-module-org-kde-kirigamiaddons-sounds
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: sounds module for QML
 This package contains the sounds QML module.
 A runtime QML module providing sound utilities.

Package: qml6-module-org-kde-kirigamiaddons-statefulapp
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: statefulapp module for QML
 This package contains the statefulapp QML module.
 A runtime QML module providing statefulapp utilities.

Package: qml6-module-org-kde-kirigamiaddons-tableview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: tableview module for QML
 This package contains the tableview QML module.
 A runtime QML module providing tableview utilities.

Package: qml6-module-org-kde-kirigamiaddons-treeview
Architecture: any
Multi-Arch: same
Depends: kirigami-addons-data (>= ${source:Version}),
         ${misc:Depends},
         ${qml6:Depends},
         ${shlibs:Depends},
Description: treeview module for QML
 This package contains the treeview QML module.
 A runtime QML module providing treeview utilities.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

.PHONY: override_dh_auto_test

## kirigami-addons 1.11.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -3,7 +3,7 @@
 
 cmake_minimum_required(VERSION 3.20)
 
-project(kirigami-addons VERSION 1.10.0)
+project(kirigami-addons VERSION 1.11.0)
 
 include(FeatureSummary)

=== src/app/CMakeLists.txt ===
--- 
+++ 
@@ -3,13 +3,11 @@
 
 add_library(KirigamiApp SHARED)
 
-if (TARGET Qt6::qdoc AND TARGET Qt6::qhelpgenerator)
-    ecm_generate_qdoc(KirigamiApp kirigamiapp.qdocconf)
-endif()
+ecm_generate_qdoc(KirigamiApp kirigamiapp.qdocconf)
 
 target_compile_definitions(KirigamiApp PRIVATE -DTRANSLATION_DOMAIN=\"kirigami_app6\")
 
-target_sources(KirigamiApp PRIVATE kirigamiapp.cpp)
+target_sources(KirigamiApp PRIVATE kirigamiapp.cpp kirigamiappdefaults.cpp)
 
 target_link_libraries(KirigamiApp PRIVATE
     Qt6::QuickControls2
@@ -19,7 +17,7 @@
     KF6::ColorScheme
 )
 if(NOT ANDROID)
-    target_link_libraries(KirigamiApp PRIVATE KF6::Crash KF6::IconThemes)
+    target_link_libraries(KirigamiApp PRIVATE Qt6::Widgets KF6::Crash KF6::IconThemes)
 endif()
 
 target_include_directories(KirigamiApp
@@ -47,6 +45,7 @@
 ecm_generate_headers(KirigamiApp_CamelCase_HEADERS
     HEADER_NAMES
         KirigamiApp
+        KirigamiAppDefaults
     REQUIRED_HEADERS KirigamiApp_HEADERS
 )

=== debian/changelog ===
kirigami-addons (1.11.0-2) unstable; urgency=medium

  [ Aurélien COUDERC ]
  * Add missing dep from -dev package to new libkirigamiapp6 library.
  * Update symbols from buildds for 1.11.0.
  * Fix arches for symbol where the automated script seems to have
    borked the list.
  * Add missing dh-sequence-pkgkde-symbolshelper for symbols placeholder
    substitutions.

 -- Aurélien COUDERC <coucouf@debian.org>  Wed, 14 Jan 2026 13:45:58 +0100

kirigami-addons (1.11.0-1) unstable; urgency=medium

  [ Matthias Geiger ]
  * New upstream release
  * d/u/signing-key.asc: Concatenate into single ASCII block
  * d/watch: Convert to v5
  * d/control: Drop Rules-Requires-Root field
  * d/control: Bump minimum version with info for cmake
  * d/control: Depend on new packages kf6{crash, iconthemes,
    colorscheme}
  * d/control: Bump Standards-Version to 4.7.2; no changes needed
  * d/control: Add new libkirigamiapp6 package
  * d/libkirigamiaddonsstatefulapp6.symbols: Add new symbols
  * d/copyright: Replace FSF postal address by gnu webpage

  [ Aurélien COUDERC ]
  * New upstream release (1.11.0).
  * Update build-deps and deps with the info from cmake.
  * Refresh copyright information.
  * Bump Standards-Version to 4.7.3, no change required.
  * Add symbols file for libkirigamiapp6.

 -- Aurélien COUDERC <coucouf@debian.org>  Sun, 11 Jan 2026 17:08:08 +0100

=== debian/control ===
--- 
+++ 
@@ -1,41 +1,39 @@
 Source: kirigami-addons
 Section: libs
 Priority: optional
-Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
+Maintainer: Debian Qt/KDE Maintainers <pkg-kde-extras@lists.alioth.debian.org>
 Uploaders: Aurélien COUDERC <coucouf@debian.org>,
            Matthias Geiger <werdahias@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               dh-sequence-pkgkde-symbolshelper,
                cmake (>= 3.20~),
                extra-cmake-modules (>= 6.16.0~),
-               libkf6colorscheme-dev (>= 6.16.0~),
+               libkf6colorscheme-dev (>= 6.16.0-~),
                libkf6config-dev (>= 6.16.0~),
                libkf6coreaddons-dev (>= 6.16.0~),
-               libkf6crash-dev (>= 6.16.0~),
+               libkf6crash-dev (>= 6.16.0-~),
                libkf6globalaccel-dev (>= 6.16.0~),
                libkf6guiaddons-dev (>= 6.16.0~),
                libkf6i18n-dev (>= 6.16.0~),
-               libkf6iconthemes-dev (>= 6.16.0~),
+               libkf6iconthemes-dev (>= 6.16.0-~),
                libkirigami-dev (>= 6.16.0~),
                libxkbcommon-dev,
                pkgconf,
                qml6-module-org-kde-config,
                qml6-module-org-kde-coreaddons,
                qml6-module-org-kde-desktop,
-               qml6-module-org-kde-iconthemes,
                qml6-module-org-kde-kitemmodels,
                qml6-module-org-kde-sonnet,
                qml6-module-qtmultimedia,
-               qt6-base-dev (>= 6.7.0~),
-               qt6-declarative-dev (>= 6.7.0~),
+               qt6-base-dev (>= 6.7.0+dfsg~),
+               qt6-declarative-dev (>= 6.7.0+dfsg~),
                qt6-declarative-private-dev,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.3
 Homepage: https://invent.kde.org/libraries/kirigami-addons/
-Vcs-Browser: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
-Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/kirigami-addons
-Rules-Requires-Root: no
+Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons
+Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/kirigami-addons.git
 
 Package: kirigami-addons-data
 Architecture: all
@@ -49,8 +47,8 @@
 Architecture: any
 Multi-Arch: same
 Section: libdevel
-Depends: libkirigamiapp6 (= ${binary:Version}),
-         libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
+Depends: libkirigamiaddonsstatefulapp6 (= ${binary:Version}),
+         libkirigamiapp6 (= ${binary:Version}),
          qml6-module-org-kde-kirigamiaddons-components (= ${binary:Version}),
          qml6-module-org-kde-kirigamiaddons-datetime (= ${binary:Version}),
          qml6-module-org-kde-kirigamiaddons-delegates (= ${binary:Version}),

=== debian/watch ===
Version: 5

Source: https://download.kde.org/stable/@PACKAGE@/
Matching-Pattern: @PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgpsigurlmangle: s/$/.sig/
